import _ from "lodash";
import { z } from "zod";
import { intakeFileAsYaml } from "../intake/intakeFileAsYaml.js";
const zActionStep = z.intersection(
  z.object({
    env: z.record(z.string(), z.string()).optional(),
    if: z.string().optional(),
    with: z.record(z.string(), z.string()).optional()
  }),
  z.union([z.object({ run: z.string() }), z.object({ uses: z.string() })])
);
function intakeFileYamlSteps(files, filePath, ymlPath) {
  const actionYml = intakeFileAsYaml(files, filePath);
  if (!actionYml) {
    return void 0;
  }
  const steps = _.get(actionYml, ymlPath);
  if (!steps || !Array.isArray(steps)) {
    return void 0;
  }
  return steps;
}
export {
  intakeFileYamlSteps,
  zActionStep
};
