import { createRequire } from "node:module";
const require2 = createRequire(import.meta.url);
const packageData = (
  // Importing from above src/ would expand the TS build rootDir
  require2("../../package.json")
);
function getPackageDependencies(...names) {
  return Object.fromEntries(
    names.map((name) => {
      return [name, getPackageDependency(name)];
    })
  );
}
function getPackageDependency(name) {
  const version = getPackageInner("devDependencies", name) ?? getPackageInner("dependencies", name);
  if (!version) {
    throw new Error(
      `'${name}' is neither in package.json's dependencies nor its devDependencies.`
    );
  }
  return version;
}
function getPackageInner(key, name) {
  const inner = packageData[key];
  return inner[name];
}
export {
  getPackageDependencies,
  getPackageDependency,
  packageData
};
